petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESNewtonTRGetPreCheck

Gets the pre-check function

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESNewtonTRGetPreCheck(SNES snes, PetscErrorCode (**func)(SNES,Vec,Vec,PetscBool*,void*),void **ctx)

Not collective

### Input Parameter

snes -the nonlinear solver context

### Output Parameters

| func | - [optional] function evaluation routine, see for the calling sequence SNESNewtonTRPreCheck()
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### See Also

SNESNewtonTRSetPreCheck(), SNESNewtonTRPreCheck()

### Level

intermediate

### Location

src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages